Package ghidra.app.util.bin.format.dwarf.sectionprovider

# Class DWARFSectionNames

java.lang.Object
ghidra.app.util.bin.format.dwarf.sectionprovider.DWARFSectionNames

public final class DWARFSectionNames extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEBUG_ABBREV`
  `static final String`
  `DEBUG_ADDR`
  `static final String`
  `DEBUG_ARRANGES`
  `static final String`
  `DEBUG_FRAME`
  `static final String`
  `DEBUG_INFO`
  `static final String`
  `DEBUG_LINE`
  `static final String`
  `DEBUG_LINE_STR`
  `static final String`
  `DEBUG_LOC`
  `static final String`
  `DEBUG_LOCLISTS`
  `static final String`
  `DEBUG_MACINFO`
  `static final String`
  `DEBUG_MACRO`
  `static final String`
  `DEBUG_PUBNAMES`
  `static final String`
  `DEBUG_PUBTYPES`
  `static final String`
  `DEBUG_RANGES`
  `static final String`
  `DEBUG_RNGLISTS`
  `static final String`
  `DEBUG_STR`
  `static final String`
  `DEBUG_STROFFSETS`
  `static final String`
  `DEBUG_TYPES`
  `static final String[]`
  `MINIMAL_DWARF_SECTIONS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DWARFSectionNames()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEBUG_INFO

    public static final String DEBUG_INFO
    See Also:
      - Constant Field Values

  - ### DEBUG_TYPES

    public static final String DEBUG_TYPES
    See Also:
      - Constant Field Values

  - ### DEBUG_ABBREV

    public static final String DEBUG_ABBREV
    See Also:
      - Constant Field Values

  - ### DEBUG_ARRANGES

    public static final String DEBUG_ARRANGES
    See Also:
      - Constant Field Values

  - ### DEBUG_LINE

    public static final String DEBUG_LINE
    See Also:
      - Constant Field Values

  - ### DEBUG_LINE_STR

    public static final String DEBUG_LINE_STR
    See Also:
      - Constant Field Values

  - ### DEBUG_FRAME

    public static final String DEBUG_FRAME
    See Also:
      - Constant Field Values

  - ### DEBUG_LOC

    public static final String DEBUG_LOC
    See Also:
      - Constant Field Values

  - ### DEBUG_LOCLISTS

    public static final String DEBUG_LOCLISTS
    See Also:
      - Constant Field Values

  - ### DEBUG_STR

    public static final String DEBUG_STR
    See Also:
      - Constant Field Values

  - ### DEBUG_STROFFSETS

    public static final String DEBUG_STROFFSETS
    See Also:
      - Constant Field Values

  - ### DEBUG_RANGES

    public static final String DEBUG_RANGES
    See Also:
      - Constant Field Values

  - ### DEBUG_RNGLISTS

    public static final String DEBUG_RNGLISTS
    See Also:
      - Constant Field Values

  - ### DEBUG_PUBNAMES

    public static final String DEBUG_PUBNAMES
    See Also:
      - Constant Field Values

  - ### DEBUG_PUBTYPES

    public static final String DEBUG_PUBTYPES
    See Also:
      - Constant Field Values

  - ### DEBUG_MACINFO

    public static final String DEBUG_MACINFO
    See Also:
      - Constant Field Values

  - ### DEBUG_MACRO

    public static final String DEBUG_MACRO
    See Also:
      - Constant Field Values

  - ### DEBUG_ADDR

    public static final String DEBUG_ADDR
    See Also:
      - Constant Field Values

  - ### MINIMAL_DWARF_SECTIONS

    public static final String[] MINIMAL_DWARF_SECTIONS

- ## Constructor Details

  - ### DWARFSectionNames

    public DWARFSectionNames()